commit: a72ab1ef2b064157365f39170bb45b0cd1d111d5
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 14 09:46:02 2024 +0000
Commit: James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Jun 17 09:36:53 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a72ab1ef
app-text/mdbook: Use new cargo_target_dir helper
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>
app-text/mdbook/mdbook-0.4.37.ebuild | 2 +-
app-text/mdbook/mdbook-0.4.40.ebuild | 2 +-
2 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/app-text/mdbook/mdbook-0.4.37.ebuild
b/app-text/mdbook/mdbook-0.4.37.ebuild
index 2b512da75f1f..2e29e312d40c 100644
--- a/app-text/mdbook/mdbook-0.4.37.ebuild
+++ b/app-text/mdbook/mdbook-0.4.37.ebuild
@@ -269,7 +269,7 @@ src_compile() {
if tc-is-cross-compiler; then
ewarn "html docs were skipped due to cross-compilation"
else
- target/$(usex debug{,} release)/${PN} build -d html
guide || die
+ "$(cargo_target_dir)"/${PN} build -d html guide || die
fi
fi
}
diff --git a/app-text/mdbook/mdbook-0.4.40.ebuild
b/app-text/mdbook/mdbook-0.4.40.ebuild
index e5e76b2f6ed6..5adbdeee6234 100644
--- a/app-text/mdbook/mdbook-0.4.40.ebuild
+++ b/app-text/mdbook/mdbook-0.4.40.ebuild
@@ -280,7 +280,7 @@ src_compile() {
if tc-is-cross-compiler; then
ewarn "html docs were skipped due to cross-compilation"
else
- target/$(usex debug{,} release)/${PN} build -d html
guide || die
+ "$(cargo_target_dir)"/${PN} build -d html guide || die
fi
fi
}